> ## Documentation Index
> Fetch the complete documentation index at: https://globalprs-docs.sadhguru.org/llms.txt
> Use this file to discover all available pages before exploring further.

# ListUserRegistrations

> Get list of registrations for the logged in user



## OpenAPI

````yaml api-reference/openapi.json get /query/registrations
openapi: 3.1.0
info:
  title: PRS API
  version: 0.0.1
  description: API for PRS
servers:
  - url: /
security:
  - BearerToken: []
    SystemToken: []
paths:
  /query/registrations:
    get:
      tags:
        - Registrations
      summary: ListUserRegistrations
      description: Get list of registrations for the logged in user
      operationId: QueryRegistrationsListUserRegistrations
      parameters:
        - name: page_size
          in: query
          schema:
            oneOf:
              - type: 'null'
              - type: integer
                default: 10
            default: 10
          required: false
          deprecated: false
        - name: current_page
          in: query
          schema:
            oneOf:
              - type: 'null'
              - type: integer
                default: 1
            default: 1
          required: false
          deprecated: false
        - name: sort_type
          in: query
          schema:
            type:
              - string
              - 'null'
            enum:
              - desc
              - asc
              - null
            default: desc
          required: false
          deprecated: false
      responses:
        '200':
          description: Request fulfilled, document follows
          headers: {}
          content:
            application/json:
              schema:
                additionalProperties: {}
                type: object
        '400':
          description: Bad request syntax or unsupported method
          content:
            application/json:
              schema:
                properties:
                  status_code:
                    type: integer
                  detail:
                    type: string
                  extra:
                    additionalProperties: {}
                    type:
                      - 'null'
                      - object
                      - array
                type: object
                required:
                  - detail
                  - status_code
                description: Validation Exception
                examples:
                  - status_code: 400
                    detail: Bad Request
                    extra: {}
      deprecated: false
components:
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
    SystemToken:
      type: apiKey
      description: System token for additional authentication
      name: x-system-token
      in: header

````